esphome:
  name: basement
  platform: ESP8266
  board: nodemcuv2

logger:
  level: INFO

ota:
  password: "872a00fc1540e5da2bde65034519d736"

wifi:
  ssid: !secret ssid
  password: !secret pass
  fast_connect: true

mqtt:
  broker: henry.int.jnf.me
  username: esphome
  password: esphome
  topic_prefix: esphome/basement

dallas:
  - pin: D1

sensor:
  - platform: dallas
    address: 0xB20114310AB9F728
    name: "Furnace Room"

binary_sensor:
  - platform: gpio
    pin: D6
    name: "Doorbell"
    device_class: sound
    filters:
      - delayed_off: 5s
  - platform: gpio
    pin: D7
    name: "Hot Water Tank"
    device_class: moisture
    filters:
      - invert
      - delayed_off: 5s
  - platform: gpio
    pin: D3
    name: "Basement Drain"
    device_class: moisture
    filters:
      - invert
      - delayed_off: 5s